UIImage-AutomaticCapInsets
==========================

UIImage+AutomaticCapInsets is intended to developers &amp; UI designers. The trick is simple: developers now avoid the use of magic numbers when creating a resizable image with cap insets, and UI designers automatically put the cap insets in the filename. 

Rules
--------------

UIImage+AutomaticCapInsets needs you to correctly name your resizable images. The rule is simple: you put cap insets as string format right before the extension (and before *@2x* for retina graphics).

A little sample: `"navbar-background{0,4,0,4}.png"` and `"navbar-background{0,4,0,4}@2x.png"`

Just a little reminder about capInsets (UIEdgeInsets), the string representation is `{top,left,bottom,right}`

Important Note
--------------
If you add a resource in your project, run it, and then decide to change the cap inset in the filename, please do not forget to clean the build directory using Command-Option-Shift-K in Xcode.


Methods
--------------

`UIImage` is extended with the following methods:

    + (UIImage *)resizableImageNamed:(NSString *)name;
	+ (UIImage *)resizableImageNamed:(NSString *)name 
							 forMode:(UIImageResizingMode)resizingMode;

	+ (UIImage *)resizableImageWithContentsOfFile:(NSString *)path;
	+ (UIImage *)resizableImageWithContentsOfFile:(NSString *)path 
										  forMode:(UIImageResizingMode)resizingMode;

	- (id)initWithResizableContentsOfFile:(NSString *)path;
	- (id)initWithResizableContentsOfFile:(NSString *)path 
								  forMode:(UIImageResizingMode)resizingMode;


`NSBundle` is extended with the following methods:

	- (NSString *)pathForResizableResource:(NSString *)name 
									ofType:(NSString *)ext;
	- (NSString *)pathForResizableResource:(NSString *)name 
									ofType:(NSString *)ext 
							   inDirectory:(NSString *)subpath;

